Bug 314544 - Amarok crashes
Summary: Amarok crashes
Status: RESOLVED FIXED
Alias: None
Product: solid
Classification: Unclassified
Component: libsolid (show other bugs)
Version: 4.10.5
Platform: Fedora RPMs Linux
: NOR crash with 17 votes (vote)
Target Milestone: 4.11
Assignee: Alex Fiestas
URL:
Keywords: regression
: 272511 278141 282434 294597 296083 315472 316871 316891 317246 318138 318619 319246 319549 321612 321676 322651 322876 323661 327722 337013 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-02-06 18:42 UTC by szyman
Modified: 2014-07-03 17:08 UTC (History)
37 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.1


Attachments
New crash information added by DrKonqi (13.96 KB, text/plain)
2013-02-10 16:15 UTC, Alex Leach
Details
Backtrace with kdelibs-dbg (12.52 KB, text/plain)
2013-02-11 12:45 UTC, Alex Leach
Details
New crash information added by DrKonqi (16.37 KB, text/plain)
2013-02-11 12:52 UTC, Alex Leach
Details
New crash information added by DrKonqi (24.85 KB, text/plain)
2013-02-18 07:46 UTC, Patrick Bochart
Details
New crash information added by DrKonqi (20.89 KB, text/plain)
2013-03-18 18:15 UTC, Thomas Röhr
Details
New crash information added by DrKonqi (17.52 KB, text/plain)
2013-03-29 16:42 UTC, Matthew
Details
New crash information added by DrKonqi (12.09 KB, text/plain)
2013-04-04 20:41 UTC, ergo-proxy
Details
New crash information added by DrKonqi (12.56 KB, text/plain)
2013-04-04 20:49 UTC, ergo-proxy
Details
New crash information added by DrKonqi (21.42 KB, text/plain)
2013-04-14 21:51 UTC, hamelg
Details
New crash information added by DrKonqi (21.63 KB, text/plain)
2013-11-05 19:23 UTC, John Lambert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description szyman 2013-02-06 18:42:17 UTC
Application: amarok (2.6.0)
KDE Platform Version: 4.9.5
Qt Version: 4.8.4
Operating System: Linux 3.7.5-201.fc18.x86_64 x86_64
Distribution: "Fedora release 18 (Spherical Cow)"

-- Information about the crash:
Click on 'Amarok' manu then click the first menu entry 'Play multimedia' (Ctrl+O).
Amarok crashes every time I repeat above sequence.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f4a6850a880 (LWP 4231))]

Thread 12 (Thread 0x7f4a56a30700 (LWP 4256)):
#0  0x000000307aae998d in poll () from /lib64/libc.so.6
#1  0x0000003010831d5f in poll_func () from /lib64/libpulse.so.0
#2  0x00000030108232bc in pa_mainloop_poll () from /lib64/libpulse.so.0
#3  0x0000003010823919 in pa_mainloop_iterate () from /lib64/libpulse.so.0
#4  0x00000030108239d0 in pa_mainloop_run () from /lib64/libpulse.so.0
#5  0x0000003010831d0f in thread () from /lib64/libpulse.so.0
#6  0x0000003010c42c63 in internal_thread_func () from /usr/lib64/pulseaudio/libpulsecommon-2.1.so
#7  0x000000307ae07d15 in start_thread () from /lib64/libpthread.so.0
#8  0x000000307aaf246d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f4a4aeef700 (LWP 4264)):
#0  0x000000307aae998d in poll () from /lib64/libc.so.6
#1  0x0000003fcea47d24 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#2  0x0000003fcea47e44 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x0000003fd09a60f6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#4  0x0000003fd09767df in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#5  0x0000003fd0976a68 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#6  0x0000003fd0878950 in QThread::exec() () from /lib64/libQtCore.so.4
#7  0x0000003fd095700f in QInotifyFileSystemWatcherEngine::run() () from /lib64/libQtCore.so.4
#8  0x0000003fd087b92c in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#9  0x000000307ae07d15 in start_thread () from /lib64/libpthread.so.0
#10 0x000000307aaf246d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f4a48ba7700 (LWP 4271)):
#0  0x00007fffee78d60c in ?? ()
#1  0x00007fffee78d8ac in clock_gettime ()
#2  0x000000307b60413d in clock_gettime () from /lib64/librt.so.1
#3  0x0000003fd08d18a4 in qt_gettime() () from /lib64/libQtCore.so.4
#4  0x0000003fd09a69fd in QTimerInfoList::updateCurrentTime() () from /lib64/libQtCore.so.4
#5  0x0000003fd09a6d43 in QTimerInfoList::timerWait(timeval&) () from /lib64/libQtCore.so.4
#6  0x0000003fd09a57ac in timerSourcePrepareHelper(GTimerSource*, int*) () from /lib64/libQtCore.so.4
#7  0x0000003fd09a5855 in timerSourcePrepare(_GSource*, int*) () from /lib64/libQtCore.so.4
#8  0x0000003fcea475b8 in g_main_context_prepare () from /lib64/libglib-2.0.so.0
#9  0x0000003fcea47c4b in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#10 0x0000003fcea47e44 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#11 0x0000003fd09a60f6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#12 0x0000003fd09767df in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#13 0x0000003fd0976a68 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#14 0x0000003fd0878950 in QThread::exec() () from /lib64/libQtCore.so.4
#15 0x0000003fd087b92c in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#16 0x000000307ae07d15 in start_thread () from /lib64/libpthread.so.0
#17 0x000000307aaf246d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f4a3fbc1700 (LWP 4272)):
#0  0x000000307ae09bb1 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x0000003fcea84da1 in g_mutex_lock () from /lib64/libglib-2.0.so.0
#2  0x0000003fcea4768b in g_main_context_query () from /lib64/libglib-2.0.so.0
#3  0x0000003fcea47c99 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#4  0x0000003fcea47e44 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#5  0x0000003fd09a60f6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#6  0x0000003fd09767df in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#7  0x0000003fd0976a68 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#8  0x0000003fd0878950 in QThread::exec() () from /lib64/libQtCore.so.4
#9  0x0000003fd087b92c in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#10 0x000000307ae07d15 in start_thread () from /lib64/libpthread.so.0
#11 0x000000307aaf246d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f4a3e9b8700 (LWP 4274)):
#0  0x000000307ae0b5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003fd087be8b in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x0000003fde60aad1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#3  0x0000003fde60d31b in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#4  0x0000003fde60d334 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#5  0x0000003fde60d334 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#6  0x0000003fde60c18f in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#7  0x0000003fde60c21b in ThreadWeaver::Thread::run() () from /lib64/libthreadweaver.so.4
#8  0x0000003fd087b92c in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#9  0x000000307ae07d15 in start_thread () from /lib64/libpthread.so.0
#10 0x000000307aaf246d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f4a3db9e700 (LWP 4275)):
#0  0x000000307ae0b5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003fd087be8b in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x0000003fde60aad1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#3  0x0000003fde60d31b in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#4  0x0000003fde60d334 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#5  0x0000003fde60d334 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#6  0x0000003fde60c18f in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#7  0x0000003fde60c21b in ThreadWeaver::Thread::run() () from /lib64/libthreadweaver.so.4
#8  0x0000003fd087b92c in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#9  0x000000307ae07d15 in start_thread () from /lib64/libpthread.so.0
#10 0x000000307aaf246d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f4a3d39d700 (LWP 4276)):
#0  0x000000307ae0b5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003fd087be8b in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x0000003fde60aad1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#3  0x0000003fde60d31b in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#4  0x0000003fde60d334 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#5  0x0000003fde60c18f in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#6  0x0000003fde60c21b in ThreadWeaver::Thread::run() () from /lib64/libthreadweaver.so.4
#7  0x0000003fd087b92c in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#8  0x000000307ae07d15 in start_thread () from /lib64/libpthread.so.0
#9  0x000000307aaf246d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f4a3cb9c700 (LWP 4277)):
#0  0x000000307ae0b5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003fd087be8b in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x0000003fde60aad1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#3  0x0000003fde60d31b in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#4  0x0000003fde60c18f in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#5  0x0000003fde60c21b in ThreadWeaver::Thread::run() () from /lib64/libthreadweaver.so.4
#6  0x0000003fd087b92c in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#7  0x000000307ae07d15 in start_thread () from /lib64/libpthread.so.0
#8  0x000000307aaf246d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f4a1f597700 (LWP 4286)):
#0  0x000000307ae0b5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003016e169bd in WTF::TCMalloc_PageHeap::scavengerThread() () from /lib64/libQtWebKit.so.4
#2  0x0000003016e16ac9 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /lib64/libQtWebKit.so.4
#3  0x000000307ae07d15 in start_thread () from /lib64/libpthread.so.0
#4  0x000000307aaf246d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f4a1ce34700 (LWP 4287)):
#0  0x000000307aae998d in poll () from /lib64/libc.so.6
#1  0x0000003fcea47d24 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#2  0x0000003fcea48182 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x0000003fcfacc546 in gdbus_shared_thread_func () from /lib64/libgio-2.0.so.0
#4  0x0000003fcea6b605 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#5  0x000000307ae07d15 in start_thread () from /lib64/libpthread.so.0
#6  0x000000307aaf246d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f4a13d7b700 (LWP 4295)):
#0  0x000000307ae0b5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003fd81868c7 in QTWTF::TCMalloc_PageHeap::scavengerThread() () from /lib64/libQtScript.so.4
#2  0x0000003fd81868f9 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /lib64/libQtScript.so.4
#3  0x000000307ae07d15 in start_thread () from /lib64/libpthread.so.0
#4  0x000000307aaf246d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f4a6850a880 (LWP 4231)):
[KCrash Handler]
#5  0x000000300fc3f0a4 in Solid::Block::device() const () from /lib64/libsolid.so.4
#6  0x00000030188619f6 in KFilePlacesItem::deviceData(int) const () from /lib64/libkfile.so.4
#7  0x00000030188625ee in KFilePlacesItem::data(int) const () from /lib64/libkfile.so.4
#8  0x00000030188646a6 in KFilePlacesModel::closestItem(KUrl const&) const () from /lib64/libkfile.so.4
#9  0x000000301888168d in KDEPrivate::KUrlNavigatorPlacesSelector::updateSelection(KUrl const&) () from /lib64/libkfile.so.4
#10 0x0000003018881784 in KDEPrivate::KUrlNavigatorPlacesSelector::updateMenu() () from /lib64/libkfile.so.4
#11 0x0000003fd098cebf in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /lib64/libQtCore.so.4
#12 0x0000003fd09d70a4 in QAbstractItemModel::rowsInserted(QModelIndex const&, int, int) () from /lib64/libQtCore.so.4
#13 0x0000003fd09723ad in QAbstractItemModel::endInsertRows() () from /lib64/libQtCore.so.4
#14 0x00000030188660e5 in KFilePlacesModel::Private::_k_reloadBookmarks() () from /lib64/libkfile.so.4
#15 0x000000301886705f in KFilePlacesModel::Private::_k_initDeviceList() () from /lib64/libkfile.so.4
#16 0x00000030188671b9 in KFilePlacesModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /lib64/libkfile.so.4
#17 0x0000003fd098c39e in QObject::event(QEvent*) () from /lib64/libQtCore.so.4
#18 0x000000300c9ca5cc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQtGui.so.4
#19 0x000000300c9cea4a in QApplication::notify(QObject*, QEvent*) () from /lib64/libQtGui.so.4
#20 0x000000300e046916 in KApplication::notify(QObject*, QEvent*) () from /lib64/libkdeui.so.5
#21 0x0000003fd0977a8e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /lib64/libQtCore.so.4
#22 0x0000003fd097b541 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQtCore.so.4
#23 0x0000003fd09a5f43 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQtCore.so.4
#24 0x0000003fcea47a55 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#25 0x0000003fcea47d88 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#26 0x0000003fcea47e44 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#27 0x0000003fd09a60d6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#28 0x000000300ca6a73e in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtGui.so.4
#29 0x0000003fd09767df in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#30 0x0000003fd0976a68 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#31 0x000000300eb6fe36 in KIO::NetAccess::enter_loop() () from /lib64/libkio.so.5
#32 0x000000300eb718dc in KIO::NetAccess::synchronousRunInternal(KIO::Job*, QWidget*, QByteArray*, KUrl*, QMap<QString, QString>*) () from /lib64/libkio.so.5
#33 0x000000300eb71985 in KIO::NetAccess::synchronousRun(KIO::Job*, QWidget*, QByteArray*, KUrl*, QMap<QString, QString>*) () from /lib64/libkio.so.5
#34 0x000000301885ed1d in KFileWidget::KFileWidget(KUrl const&, QWidget*) () from /lib64/libkfile.so.4
#35 0x00007f498a9cae44 in KFileModule::createFileWidget(KUrl const&, QWidget*) () from /usr/lib64/kde4/kfilemodule.so
#36 0x000000300ebd704f in KFileDialog::KFileDialog(KUrl const&, QString const&, QWidget*, QWidget*) () from /lib64/libkio.so.5
#37 0x0000003019d8093f in MainWindow::slotAddLocation(bool) () from /lib64/libamaroklib.so.1
#38 0x0000003019d80f7a in MainWindow::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /lib64/libamaroklib.so.1
#39 0x0000003fd098cebf in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /lib64/libQtCore.so.4
#40 0x000000300c9c4412 in QAction::triggered(bool) () from /lib64/libQtGui.so.4
#41 0x000000300c9c4600 in QAction::activate(QAction::ActionEvent) () from /lib64/libQtGui.so.4
#42 0x000000300cdfe0b3 in QMenuPrivate::activateCausedStack(QList<QPointer<QWidget> > const&, QAction*, QAction::ActionEvent, bool) () from /lib64/libQtGui.so.4
#43 0x000000300ce04499 in QMenuPrivate::activateAction(QAction*, QAction::ActionEvent, bool) () from /lib64/libQtGui.so.4
#44 0x000000300e0fffa0 in KMenu::mouseReleaseEvent(QMouseEvent*) () from /lib64/libkdeui.so.5
#45 0x000000300ca19f49 in QWidget::event(QEvent*) () from /lib64/libQtGui.so.4
#46 0x000000300ce0574b in QMenu::event(QEvent*) () from /lib64/libQtGui.so.4
#47 0x000000300c9ca5cc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQtGui.so.4
#48 0x000000300c9cf2ab in QApplication::notify(QObject*, QEvent*) () from /lib64/libQtGui.so.4
#49 0x000000300e046916 in KApplication::notify(QObject*, QEvent*) () from /lib64/libkdeui.so.5
#50 0x0000003fd0977a8e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /lib64/libQtCore.so.4
#51 0x000000300c9cb40b in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /lib64/libQtGui.so.4
#52 0x000000300ca45a3c in QETWidget::translateMouseEvent(_XEvent const*) () from /lib64/libQtGui.so.4
#53 0x000000300ca44901 in QApplication::x11ProcessEvent(_XEvent*) () from /lib64/libQtGui.so.4
#54 0x000000300ca6aa5c in x11EventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQtGui.so.4
#55 0x0000003fcea47a55 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#56 0x0000003fcea47d88 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#57 0x0000003fcea47e44 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#58 0x0000003fd09a60d6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#59 0x000000300ca6a73e in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtGui.so.4
#60 0x0000003fd09767df in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#61 0x0000003fd0976a68 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#62 0x0000003fd097b858 in QCoreApplication::exec() () from /lib64/libQtCore.so.4
#63 0x0000000000408e5a in main ()

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2013-02-06 21:52:38 UTC
The backtrace indicates a problem with solid, please upgrade to Amarok 2.7 and install debugging symbols for kdelibs
Comment 2 Alex Leach 2013-02-10 16:15:29 UTC
Created attachment 77094 [details]
New crash information added by DrKonqi

amarok (2.7.0) on KDE Platform 4.10.00 using Qt 4.8.4

- What I was doing when the application crashed:

Start amarok, click Amarok in the Toolbar menu, then "Play Media...". Crash!

Sorry that I don't have solid debug symbols installed. Will do that now and try again...

- Custom settings of the application:

Using vlc backend. 
Just installed and configured appmenu-qt yesterday.

Got the following messages in .xsesssion errors, although they don't show in the command line when running `amarok --debug`:

ESC[31mbool DBusMenuExporterDBus::AboutToShow(int)ESC[0m: Condition failed: menu 
ESC[31mvoid DBusMenuImporter::slotMenuAboutToShow()ESC[0m: Application did not answer to AboutToShow() before timeout 
kio_file(13822) FileProtocol::put: Appending .part extension to "/tmp/qt_temp.T13799"
kwin(24045) KWin::Toplevel::createWindowPixmap: Creating window pixmap failed:  'ID: 25230949 '
...
KCrash: Application 'amarok' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
kwin(24045) KWin::Workspace::updateClientArea: screens:  1 desktops:  4
kwin(24045) KWin::Workspace::updateClientArea: Done.
file:///usr/share/apps/plasma/packages/org.kde.systemtray/contents/ui/main.qml:49: TypeError: Result of expression 'JS.tasks[loc]' [undefined] is not an object.
kwin(24045) KWin::Client::readUserTimeMapTimestamp: User timestamp, ASN: 4294967295
kwin(24045) KWin::Client::readUserTimeMapTimestamp: User timestamp, final: 'ID: 77594642 ;WMCLASS: "drkonqi" : "drkonqi" ;Caption: "Amarok ? The KDE Crash Handler" ' : 86284277
kwin(24045) KWin::Workspace::allowClientActivation: Activation, compared: 'ID: 77594642 ;WMCLASS: "drkonqi" : "drkonqi" ;Caption: "Amarok ? The KDE Crash Handler" ' : 86284277 : 86269503 : true
kwin(24045) KWin::Workspace::updateClientArea: screens:  1 desktops:  4
kwin(24045) KWin::Workspace::updateClientArea: Done.
QSocketNotifier: Invalid socket 15 and type 'Read', disabling...

-- Backtrace (Reduced):
#5  0x00007f300728ac14 in Solid::Block::device() const () from /usr/lib/libsolid.so.4
[...]
#8  0x00007f3006de8d36 in KFilePlacesModel::closestItem(KUrl const&) const () from /usr/lib/libkfile.so.4
[...]
#12 0x00007f300a53cbe4 in QAbstractItemModel::rowsInserted(QModelIndex const&, int, int) () from /usr/lib/libQtCore.so.4
#13 0x00007f300a4d7fca in QAbstractItemModel::endInsertRows() () from /usr/lib/libQtCore.so.4
#14 0x00007f3006dea775 in KFilePlacesModel::Private::_k_reloadBookmarks() () from /usr/lib/libkfile.so.4
Comment 3 Myriam Schweingruber 2013-02-11 08:56:11 UTC
@Alex: did you read the report before adding your backtrace? It also lacks the debugging symbols for solid, please install those and provide a better backtrace.

Reassigning to Solid.
Comment 4 Alex Leach 2013-02-11 12:43:22 UTC
Hi Myriam.

Yes, I did see your previous request to install Solid debug symbols, hence the apology.
I rebuilt a Debug version of kdelibs yesterday and have just reproduced the error with it. Unfortunately, the stack trace still stops at branch point #5. Any idea what other symbols I might be missing? New backtrace attached.

Cheers,
Alex
Comment 5 Alex Leach 2013-02-11 12:45:08 UTC
Created attachment 77127 [details]
Backtrace with kdelibs-dbg
Comment 6 Alex Leach 2013-02-11 12:49:47 UTC
Sorry, my bad. I built kdelibs in Debug, but didn't install it (apparently, I still need to get the hang of pacman). 
Regenerating stack trace and will attach now...
Comment 7 Alex Leach 2013-02-11 12:52:13 UTC
Created attachment 77128 [details]
New crash information added by DrKonqi

amarok (2.7.0) on KDE Platform 4.10.00 using Qt 4.8.4

- What I was doing when the application crashed:

Same as before. Click on Amarok->Add Media... and crash. This time with debug symbols installed. Stack-trace of the KCrashHandler now stops at branch point #6..

-- Backtrace (Reduced):
#6  Solid::Block::device (this=0x0) at /home/albl500/builds/kdelibs/src/kdelibs-4.10.0/solid/solid/block.cpp:51
#7  0x00007f46d5b03ddf in KFilePlacesItem::deviceData (this=this@entry=0xa616d50, role=role@entry=110940459) at /home/albl500/builds/kdelibs/src/kdelibs-4.10.0/kfile/kfileplacesitem.cpp:188
#8  0x00007f46d5b04ccd in KFilePlacesItem::data (this=0xa616d50, role=110940459) at /home/albl500/builds/kdelibs/src/kdelibs-4.10.0/kfile/kfileplacesitem.cpp:136
#9  0x00007f46d5b06c4c in KFilePlacesModel::closestItem (this=0xa5487a0, url=...) at /home/albl500/builds/kdelibs/src/kdelibs-4.10.0/kfile/kfileplacesmodel.cpp:297
#10 0x00007f46d5b2558d in KDEPrivate::KUrlNavigatorPlacesSelector::updateSelection (this=this@entry=0x31bc9d0, url=...) at /home/albl500/builds/kdelibs/src/kdelibs-4.10.0/kfile/kurlnavigatorplacesselector.cpp:118
Comment 8 Jekyll Wu 2013-02-11 17:57:22 UTC
backtrace is provided in comment #7.
Comment 9 Alex Fiestas 2013-02-12 02:37:42 UTC
Can you attach the output of solid-hardware list ?
Also, is this 100% reproducible?
Comment 10 Alex Leach 2013-02-12 13:20:17 UTC
Yes, this does seem to be 100% reproducible..
I think you're on to the right track in that one of my disk devices is causing the issue.
Heh, take a look:

udi = '/org/kde/solid/udev/sys/devices/LNXSYSTM:00/LNXCPU:00'
udi = '/org/kde/solid/udev/sys/devices/LNXSYSTM:00/LNXCPU:01'
udi = '/org/kde/solid/udev/sys/devices/LNXSYSTM:00/LNXCPU:02'
udi = '/org/kde/solid/udev/sys/devices/LNXSYSTM:00/LNXCPU:03'
udi = '/org/kde/solid/udev/sys/devices/LNXSYSTM:00/LNXCPU:04'
udi = '/org/kde/solid/udev/sys/devices/LNXSYSTM:00/LNXCPU:05'
udi = '/org/kde/solid/udev/sys/devices/LNXSYSTM:00/LNXCPU:06'
udi = '/org/kde/solid/udev/sys/devices/LNXSYSTM:00/LNXCPU:07'
udi = '/org/kde/solid/udev/sys/devices/LNXSYSTM:00/LNXCPU:08'
udi = '/org/kde/solid/udev/sys/devices/LNXSYSTM:00/LNXCPU:09'
udi = '/org/kde/solid/udev/sys/devices/LNXSYSTM:00/LNXCPU:0a'
udi = '/org/kde/solid/udev/sys/devices/LNXSYSTM:00/LNXCPU:0b'
udi = '/org/kde/solid/udev/sys/devices/pci0000:00/0000:00:07.0/0000:06:00.0/0000:07:02.0/0000:09:00.0/0000:0a:04.0/sound/card0'
udi = '/org/kde/solid/udev/sys/devices/pci0000:00/0000:00:07.0/0000:06:00.0/0000:07:02.0/0000:09:00.0/0000:0a:04.0/sound/card0/pcmC0D0c'
udi = '/org/kde/solid/udev/sys/devices/pci0000:00/0000:00:07.0/0000:06:00.0/0000:07:02.0/0000:09:00.0/0000:0a:04.0/sound/card0/pcmC0D0p'
udi = '/org/kde/solid/udev/sys/devices/pci0000:00/0000:00:07.0/0000:06:00.0/0000:07:02.0/0000:09:00.0/0000:0a:04.0/sound/card0/pcmC0D1c'
udi = '/org/kde/solid/udev/sys/devices/pci0000:00/0000:00:07.0/0000:06:00.0/0000:07:02.0/0000:09:00.0/0000:0a:04.0/sound/card0/pcmC0D1p'
udi = '/org/kde/solid/udev/sys/devices/pci0000:00/0000:00:07.0/0000:06:00.0/0000:07:02.0/0000:09:00.0/0000:0a:04.0/sound/card0/controlC0'
udi = '/org/kde/solid/udev/sys/devices/pci0000:00/0000:00:1c.1/0000:0e:00.0/net/eth0'
udi = '/org/kde/solid/udev/sys/devices/pci0000:00/0000:00:1c.2/0000:0d:00.0/net/eth1'
udi = '/org/kde/solid/udev/sys/devices/platform/serial8250/tty/ttyS0'
udi = '/org/kde/solid/udev/sys/devices/platform/serial8250/tty/ttyS1'
udi = '/org/kde/solid/udev/sys/devices/platform/serial8250/tty/ttyS2'
udi = '/org/kde/solid/udev/sys/devices/platform/serial8250/tty/ttyS3'
udi = '/org/kde/solid/udev/sys/devices/virtual/net/lo'
udi = '/org/kde/solid/udev/sys/devices/virtual/sound/timer'
udi = '/org/freedesktop/UDisks2/block_devices/sdf2'
udi = '/org/freedesktop/UDisks2/block_devices/sdf1'
udi = '/org/freedesktop/UDisks2/block_devices/sde2'
udi = '/org/freedesktop/UDisks2/block_devices/sde1'
udi = '/org/freedesktop/UDisks2/block_devices/sdd2'
udi = '/org/freedesktop/UDisks2/block_devices/sdd1'
udi = '/org/freedesktop/UDisks2/block_devices/sdc1'
udi = '/org/freedesktop/UDisks2/block_devices/md127'
udi = '/org/freedesktop/UDisks2/block_devices/md126'
udi = '/org/freedesktop/UDisks2/block_devices/sr1'
udi = '/org/freedesktop/UDisks2/block_devices/sdg'
udi = '/org/freedesktop/UDisks2/block_devices/sdf'
udi = '/org/freedesktop/UDisks2/block_devices/sde'
udi = '/org/freedesktop/UDisks2/block_devices/sdd'
udi = '/org/freedesktop/UDisks2/block_devices/sdc'
udi = '/org/freedesktop/UDisks2/block_devices/sdb'
udi = '/org/freedesktop/UDisks2/block_devices/sda'
udi = '/org/freedesktop/UDisks2/drives/Generic_Ultra_HS_SD_2fMMC_000000264001'
udi = '/org/freedesktop/UDisks2/drives/TSSTcorp_CDDVDW_SH_S223C_U'
udi = '/org/freedesktop/UDisks2/drives/WDC_WD20EARS_00MVWB0_WD_WMAZ20078750'
udi = '/org/freedesktop/UDisks2/drives/ATAPI___iHOS104_3775504068_306016501'
udi = '/org/freedesktop/UDisks2/drives/WDC_WD3000HLFS_01G6U1_WD_WXL1C10C8246'                                             
udi = '/org/freedesktop/UDisks2/drives/WDC_WD3000HLFS_01G6U1_WD_WXD0CB9D3574'                                             
udi = '/org/freedesktop/UDisks2/drives/WDC_WD3000HLFS_01MZUV0_WD_WXP1E21JVZ76'                                            
udi = '/org/freedesktop/UDisks2/drives/M4_CT256M4SSD2_00000000124109183491'                                               
udi = '/org/freedesktop/UDisks2/drives/SEAGATE_ST3600057SS_3SL0QMK9'
Comment 11 Alex Leach 2013-02-12 13:23:00 UTC
It seems that a CD in the CD drive causes the crash. Just ejected the CD that was in there, and the crash does not occur... I ripped it successfully the other day though, so it's not thaat scratched
Comment 12 Patrick Bochart 2013-02-18 07:46:07 UTC
Created attachment 77398 [details]
New crash information added by DrKonqi

amarok (2.6.0) on KDE Platform 4.9.5 using Qt 4.8.4

- What I was doing when the application crashed:
Trying to play a Audio CD inserted using the Play Media menu. I've also tried several media without any success.

-- Backtrace (Reduced):
#6  Solid::Block::device (this=0x0) at /usr/src/debug/kdelibs-4.9.5/solid/solid/block.cpp:52
#7  0x0000003eb8c619f6 in KFilePlacesItem::deviceData (this=0x380ba90, role=110940459) at /usr/src/debug/kdelibs-4.9.5/kfile/kfileplacesitem.cpp:188
#8  0x0000003eb8c625ee in KFilePlacesItem::data (this=<optimized out>, role=<optimized out>) at /usr/src/debug/kdelibs-4.9.5/kfile/kfileplacesitem.cpp:136
#9  0x0000003eb8c646a6 in KFilePlacesModel::closestItem (this=0x3f48410, url=...) at /usr/src/debug/kdelibs-4.9.5/kfile/kfileplacesmodel.cpp:297
#10 0x0000003eb8c8168d in KDEPrivate::KUrlNavigatorPlacesSelector::updateSelection (this=this@entry=0x3415da0, url=...) at /usr/src/debug/kdelibs-4.9.5/kfile/kurlnavigatorplacesselector.cpp:118
Comment 13 Alex Fiestas 2013-02-18 09:32:38 UTC
Can anyone reproduce this crash everytime?

These crashes in libsolid are hunting us and the only reason why we have not fix them is because no developer can reproduce them :/

So if anyone is able to reproduce the bug, even if it is 1 out of 2 times we should have a IRC/Chat/something session to debug it.
Comment 14 Till Schäfer 2013-02-19 20:48:58 UTC
If Bug 315472 is a duplicate i am able to reproduce the error. Feel free to contact me by e-mail:
Comment 15 Myriam Schweingruber 2013-02-19 20:57:13 UTC
*** Bug 315472 has been marked as a duplicate of this bug. ***
Comment 16 Christoph Feck 2013-02-24 15:53:22 UTC
Till can reproduce, see comment #14.
Comment 17 Till Schäfer 2013-02-25 12:59:39 UTC
i tried to reproduce it today, but it does not appear again. Nothing obvious has changed since then. I don't know why it disappeared.
Comment 18 Alex Fiestas 2013-03-02 00:01:36 UTC
*** Bug 278141 has been marked as a duplicate of this bug. ***
Comment 19 Alex Fiestas 2013-03-02 00:05:52 UTC
*** Bug 266383 has been marked as a duplicate of this bug. ***
Comment 20 Alex Fiestas 2013-03-02 00:07:48 UTC
*** Bug 282434 has been marked as a duplicate of this bug. ***
Comment 21 Alex Fiestas 2013-03-02 00:12:06 UTC
*** Bug 294597 has been marked as a duplicate of this bug. ***
Comment 22 Alex Fiestas 2013-03-02 00:13:18 UTC
*** Bug 296083 has been marked as a duplicate of this bug. ***
Comment 23 Alex Fiestas 2013-03-02 00:14:05 UTC
*** Bug 272511 has been marked as a duplicate of this bug. ***
Comment 24 Myriam Schweingruber 2013-03-16 22:15:30 UTC
*** Bug 316871 has been marked as a duplicate of this bug. ***
Comment 25 Myriam Schweingruber 2013-03-17 12:10:11 UTC
*** Bug 316891 has been marked as a duplicate of this bug. ***
Comment 26 Thomas Röhr 2013-03-18 18:15:27 UTC
Created attachment 78180 [details]
New crash information added by DrKonqi

amarok (2.7.0) on KDE Platform 4.10.00 "release 1" using Qt 4.8.4

- What I was doing when the application crashed: I open Amarok. When I want to browse the file-system (ctrl + o), Amarok crashes.

-- Backtrace (Reduced):
#6  Solid::Block::device (this=0x0) at /usr/src/debug/kdelibs-4.10.0/solid/solid/block.cpp:52
#7  0x00007fed549f8836 in KFilePlacesItem::deviceData (this=0x3e596b0, role=110940459) at /usr/src/debug/kdelibs-4.10.0/kfile/kfileplacesitem.cpp:188
#8  0x00007fed549f942e in KFilePlacesItem::data (this=<optimized out>, role=<optimized out>) at /usr/src/debug/kdelibs-4.10.0/kfile/kfileplacesitem.cpp:136
#9  0x00007fed549fb4e6 in KFilePlacesModel::closestItem (this=0x2a7ee30, url=...) at /usr/src/debug/kdelibs-4.10.0/kfile/kfileplacesmodel.cpp:297
#10 0x00007fed54a185ad in KDEPrivate::KUrlNavigatorPlacesSelector::updateSelection (this=this@entry=0x3a5c3d0, url=...) at /usr/src/debug/kdelibs-4.10.0/kfile/kurlnavigatorplacesselector.cpp:118
Comment 27 Myriam Schweingruber 2013-03-24 01:10:34 UTC
*** Bug 317246 has been marked as a duplicate of this bug. ***
Comment 28 Matthew 2013-03-29 16:42:00 UTC
Created attachment 78486 [details]
New crash information added by DrKonqi

amarok (2.7.0) on KDE Platform 4.10.1 using Qt 4.8.4

I had just been playing an audio cd in Amarok and needed to reboot the system after updates had installed.  
I left the playlist as it was and just closed down Amarok and rebooted the system.

When the system rebooted it automatically detected my audio cd was in the drive and it brought up the dialogue box asking what I wanted to do with audio cd.  I selected the option to play audio with Amarok.

Amarok opened up fine at this point and already had the old playlist in the right hand side of the Amarok window, however the playlist would not play, it also didn't show the audio cd in the left hand part of the window.  I thus used the browse options to see if I needed to re-select the audio CD in the right hand side of the Amarok window. 

It was during this browse process inside Amarok that I got the crash.

Generally for me Amarok plays Audi CD's fine except for it placing short periods of silence between each track as it plays them.

In this instance Amarok seemed to crash because it had the old playlist still in it's cache, but the Audio CD had yet to be fully accessible from Amarok it was not yet appearing in the right hand side of the Amarok window under the source list.

-- Backtrace (Reduced):
#6  Solid::Block::device (this=0x0) at /usr/src/debug/kdelibs-4.10.1/solid/solid/block.cpp:52
#7  0x00007fb8562279b6 in KFilePlacesItem::deviceData (this=0x1b250b0, role=110940459) at /usr/src/debug/kdelibs-4.10.1/kfile/kfileplacesitem.cpp:188
#8  0x00007fb8562285ae in KFilePlacesItem::data (this=<optimized out>, role=<optimized out>) at /usr/src/debug/kdelibs-4.10.1/kfile/kfileplacesitem.cpp:136
#9  0x00007fb85622a666 in KFilePlacesModel::closestItem (this=0x192dea0, url=...) at /usr/src/debug/kdelibs-4.10.1/kfile/kfileplacesmodel.cpp:297
#10 0x00007fb856d26c8c in FileBrowser::setupAddItems (this=0x18fb800) at /usr/src/debug/amarok-2.7.0/src/browsers/filebrowser/FileBrowser.cpp:414
Comment 29 ergo-proxy 2013-04-04 20:41:03 UTC
Created attachment 78642 [details]
New crash information added by DrKonqi

amarok (2.7.0) on KDE Platform 4.10.1 using Qt 4.8.4

- What I was doing when the application crashed:

Insert CD
Open Amaraok or Click on Open with Amarok
Navigate to play cd media
Crash during navigation

-- Backtrace (Reduced):
#5  0x0000003426a490e4 in Solid::Block::device() const () from /lib64/libsolid.so.4
#6  0x0000003434a619b6 in KFilePlacesItem::deviceData(int) const () from /lib64/libkfile.so.4
#7  0x0000003434a625ae in KFilePlacesItem::data(int) const () from /lib64/libkfile.so.4
#8  0x0000003434a64666 in KFilePlacesModel::closestItem(KUrl const&) const () from /lib64/libkfile.so.4
#9  0x000000343d697c8c in FileBrowser::setupAddItems() () from /lib64/libamaroklib.so.1
Comment 30 ergo-proxy 2013-04-04 20:49:19 UTC
Created attachment 78643 [details]
New crash information added by DrKonqi

amarok (2.7.0) on KDE Platform 4.10.1 using Qt 4.8.4

- What I was doing when the application crashed:

Insert CD
Open Amarok or Open with Amarok
a) Navigate to Open files, Crash (this happens when a playlist is empty)

b) I noticed that when a playlist contains anything Amarok crashes instantlybefore it fully opens

-- Backtrace (Reduced):
#5  0x0000003426a490e4 in Solid::Block::device() const () from /lib64/libsolid.so.4
#6  0x0000003434a619b6 in KFilePlacesItem::deviceData(int) const () from /lib64/libkfile.so.4
#7  0x0000003434a625ae in KFilePlacesItem::data(int) const () from /lib64/libkfile.so.4
#8  0x0000003434a64666 in KFilePlacesModel::closestItem(KUrl const&) const () from /lib64/libkfile.so.4
#9  0x000000343d697c8c in FileBrowser::setupAddItems() () from /lib64/libamaroklib.so.1
Comment 31 ergo-proxy 2013-04-04 20:54:19 UTC
I'm having troubles with automatic bug report so here its content:

Application: amarok (2.7.0)
KDE Platform Version: 4.10.1
Qt Version: 4.8.4
Operating System: Linux 3.8.5-201.fc18.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
- What I was doing when the application crashed:

Insert CD
Open Amarok or Open with Amarok
a) Navigate to Open files, Crash (this happens when a playlist is empty)

b) I noticed that when a playlist contains anything Amarok crashes instantlybefore it fully opens

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f13a3121880 (LWP 4145))]

Thread 10 (Thread 0x7f13906f8700 (LWP 4148)):
#0  0x0000003413ce99ad in poll () from /lib64/libc.so.6
#1  0x0000003431431d5f in poll_func () from /lib64/libpulse.so.0
#2  0x00000034314232bc in pa_mainloop_poll () from /lib64/libpulse.so.0
#3  0x0000003431423919 in pa_mainloop_iterate () from /lib64/libpulse.so.0
#4  0x00000034314239d0 in pa_mainloop_run () from /lib64/libpulse.so.0
#5  0x0000003431431d0f in thread () from /lib64/libpulse.so.0
#6  0x0000003430042c63 in internal_thread_func () from /usr/lib64/pulseaudio/libpulsecommon-2.1.so
#7  0x0000003414407d15 in start_thread () from /lib64/libpthread.so.0
#8  0x0000003413cf248d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f138ce41700 (LWP 4150)):
#0  0x000000341d1a57b7 in timerSourcePrepareHelper(GTimerSource*, int*) () from /lib64/libQtCore.so.4
#1  0x000000341d1a5885 in timerSourcePrepare(_GSource*, int*) () from /lib64/libQtCore.so.4
#2  0x00000034164475b8 in g_main_context_prepare () from /lib64/libglib-2.0.so.0
#3  0x0000003416447c4b in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#4  0x0000003416447e44 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#5  0x000000341d1a6126 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#6  0x000000341d17680f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#7  0x000000341d176a98 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#8  0x000000341d078980 in QThread::exec() () from /lib64/libQtCore.so.4
#9  0x000000341d15703f in QInotifyFileSystemWatcherEngine::run() () from /lib64/libQtCore.so.4
#10 0x000000341d07b95c in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#11 0x0000003414407d15 in start_thread () from /lib64/libpthread.so.0
#12 0x0000003413cf248d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f1382cb0700 (LWP 4151)):
#0  0x000000341440b5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000341d07bebb in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x000000342900aad1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#3  0x000000342900d31b in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#4  0x000000342900d334 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#5  0x000000342900d334 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#6  0x000000342900c18f in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#7  0x000000342900c21b in ThreadWeaver::Thread::run() () from /lib64/libthreadweaver.so.4
#8  0x000000341d07b95c in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#9  0x0000003414407d15 in start_thread () from /lib64/libpthread.so.0
#10 0x0000003413cf248d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f13824af700 (LWP 4152)):
#0  0x000000341440b5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000341d07bebb in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x000000342900aad1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#3  0x000000342900d31b in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#4  0x000000342900d334 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#5  0x000000342900c18f in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#6  0x000000342900c21b in ThreadWeaver::Thread::run() () from /lib64/libthreadweaver.so.4
#7  0x000000341d07b95c in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#8  0x0000003414407d15 in start_thread () from /lib64/libpthread.so.0
#9  0x0000003413cf248d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f1381cae700 (LWP 4153)):
#0  0x000000341440b5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000341d07bebb in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x000000342900aad1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#3  0x000000342900d31b in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#4  0x000000342900d334 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#5  0x000000342900d334 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#6  0x000000342900d334 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#7  0x000000342900c18f in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#8  0x000000342900c21b in ThreadWeaver::Thread::run() () from /lib64/libthreadweaver.so.4
#9  0x000000341d07b95c in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#10 0x0000003414407d15 in start_thread () from /lib64/libpthread.so.0
#11 0x0000003413cf248d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f1381290700 (LWP 4154)):
#0  0x000000341440b5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000343b0169bd in WTF::TCMalloc_PageHeap::scavengerThread() () from /lib64/libQtWebKit.so.4
#2  0x000000343b016ac9 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /lib64/libQtWebKit.so.4
#3  0x0000003414407d15 in start_thread () from /lib64/libpthread.so.0
#4  0x0000003413cf248d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f138098f700 (LWP 4155)):
#0  0x0000003413ce99ad in poll () from /lib64/libc.so.6
#1  0x0000003416447d24 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#2  0x0000003416447e44 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x000000341d1a6126 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#4  0x000000341d17680f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#5  0x000000341d176a98 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#6  0x000000341d078980 in QThread::exec() () from /lib64/libQtCore.so.4
#7  0x000000341d07b95c in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#8  0x0000003414407d15 in start_thread () from /lib64/libpthread.so.0
#9  0x0000003413cf248d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f13660a6700 (LWP 4156)):
#0  0x000000341440b5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000341d07bebb in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x000000342900aad1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#3  0x000000342900d31b in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /lib64/libthreadweaver.so.4
#4  0x000000342900c18f in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /lib64/libthreadweaver.so.4
#5  0x000000342900c21b in ThreadWeaver::Thread::run() () from /lib64/libthreadweaver.so.4
#6  0x000000341d07b95c in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#7  0x0000003414407d15 in start_thread () from /lib64/libpthread.so.0
#8  0x0000003413cf248d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f13650a4700 (LWP 4159)):
#0  0x000000341440b5e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000034351868c7 in QTWTF::TCMalloc_PageHeap::scavengerThread() () from /lib64/libQtScript.so.4
#2  0x00000034351868f9 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /lib64/libQtScript.so.4
#3  0x0000003414407d15 in start_thread () from /lib64/libpthread.so.0
#4  0x0000003413cf248d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f13a3121880 (LWP 4145)):
[KCrash Handler]
#5  0x0000003426a490e4 in Solid::Block::device() const () from /lib64/libsolid.so.4
#6  0x0000003434a619b6 in KFilePlacesItem::deviceData(int) const () from /lib64/libkfile.so.4
#7  0x0000003434a625ae in KFilePlacesItem::data(int) const () from /lib64/libkfile.so.4
#8  0x0000003434a64666 in KFilePlacesModel::closestItem(KUrl const&) const () from /lib64/libkfile.so.4
#9  0x000000343d697c8c in FileBrowser::setupAddItems() () from /lib64/libamaroklib.so.1
#10 0x000000343d1e12ca in BrowserCategoryList::setActiveCategory(BrowserCategory*) () from /lib64/libamaroklib.so.1
#11 0x000000343d1e169b in BrowserCategoryList::categoryActivated(QModelIndex const&) () from /lib64/libamaroklib.so.1
#12 0x000000343d1e6249 in BrowserCategoryList::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /lib64/libamaroklib.so.1
#13 0x000000341d18ceef in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /lib64/libQtCore.so.4
#14 0x0000003421ad1085 in QAbstractItemView::activated(QModelIndex const&) () from /lib64/libQtGui.so.4
#15 0x0000003421b19bfb in QTreeView::mouseDoubleClickEvent(QMouseEvent*) () from /lib64/libQtGui.so.4
#16 0x0000003421619f62 in QWidget::event(QEvent*) () from /lib64/libQtGui.so.4
#17 0x00000034219c49f6 in QFrame::event(QEvent*) () from /lib64/libQtGui.so.4
#18 0x0000003421ad020b in QAbstractItemView::viewportEvent(QEvent*) () from /lib64/libQtGui.so.4
#19 0x0000003421b14a91 in QTreeView::viewportEvent(QEvent*) () from /lib64/libQtGui.so.4
#20 0x000000341d177c26 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /lib64/libQtCore.so.4
#21 0x00000034215ca59c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQtGui.so.4
#22 0x00000034215cf2ab in QApplication::notify(QObject*, QEvent*) () from /lib64/libQtGui.so.4
#23 0x00000034238473c6 in KApplication::notify(QObject*, QEvent*) () from /lib64/libkdeui.so.5
#24 0x000000341d177abe in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /lib64/libQtCore.so.4
#25 0x00000034215cb40b in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /lib64/libQtGui.so.4
#26 0x0000003421645b74 in QETWidget::translateMouseEvent(_XEvent const*) () from /lib64/libQtGui.so.4
#27 0x0000003421644901 in QApplication::x11ProcessEvent(_XEvent*) () from /lib64/libQtGui.so.4
#28 0x000000342166aa5c in x11EventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQtGui.so.4
#29 0x0000003416447a55 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#30 0x0000003416447d88 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#31 0x0000003416447e44 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#32 0x000000341d1a6106 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#33 0x000000342166a73e in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtGui.so.4
#34 0x000000341d17680f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#35 0x000000341d176a98 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#36 0x000000341d17b888 in QCoreApplication::exec() () from /lib64/libQtCore.so.4
#37 0x00000000004090ea in main ()

Possible duplicates by query: bug 317246, bug 316891, bug 316871, bug 315472, bug 314544.

Wyślij raport do https://bugs.kde.org/
Comment 32 Myriam Schweingruber 2013-04-04 21:02:39 UTC
(In reply to comment #31)
> I'm having troubles with automatic bug report so here its content:
> 

> Thread 1 (Thread 0x7f13a3121880 (LWP 4145)):
> [KCrash Handler]
> #5  0x0000003426a490e4 in Solid::Block::device() const () from
> /lib64/libsolid.so.4

Because you do not have debugging symbols installed. Please do NOT report backtraces that do not at least have 2 stars. Also, as you can see from the already reported backtraces, and the fact the report is already CONFIRMED, it is not necessary to provide more information, we already have all what we need.
Comment 33 ergo-proxy 2013-04-04 21:04:11 UTC
Ok, sorry for the mess :/
Comment 34 Myriam Schweingruber 2013-04-10 19:37:47 UTC
*** Bug 318138 has been marked as a duplicate of this bug. ***
Comment 35 Myriam Schweingruber 2013-04-10 19:41:11 UTC
(In reply to comment #34)
> *** Bug 318138 has been marked as a duplicate of this bug. ***

Alex: the above reporter says he can reproduce this every time, you might want to get in touch with him.

I also marked this as a regression, as it was introduced with KDE 4.10.x
Comment 36 Alex Fiestas 2013-04-11 12:18:12 UTC
I highly doubt this was introduce din 4.10.x since that code has been barely modified.
Comment 37 Myriam Schweingruber 2013-04-11 12:21:59 UTC
(In reply to comment #36)
> I highly doubt this was introduce din 4.10.x since that code has been barely
> modified.

You are right, the first mention is in KDE 4.9.5 with Amarok 2.6.0, my bad
Comment 38 hamelg 2013-04-14 21:51:49 UTC
Created attachment 78907 [details]
New crash information added by DrKonqi

amarok (2.7.0) on KDE Platform 4.10.2 using Qt 4.8.4

- What I was doing when the application crashed:

1. insert a audio CD in the cd tray
2. Startup amarok
3. select the menu Amarok > Play media ... or type the shortcut Ctrl+O

-- Backtrace (Reduced):
#7  Solid::Block::device (this=0x0) at /home/hamelg/BUILD/ARCH/kdelibs/src/kdelibs-4.10.2/solid/solid/block.cpp:52
#8  0xb4d65b78 in KFilePlacesItem::deviceData (this=this@entry=0x83340a0, role=role@entry=110940459) at /home/hamelg/BUILD/ARCH/kdelibs/src/kdelibs-4.10.2/kfile/kfileplacesitem.cpp:188
#9  0xb4d66913 in KFilePlacesItem::data (this=<optimized out>, role=<optimized out>) at /home/hamelg/BUILD/ARCH/kdelibs/src/kdelibs-4.10.2/kfile/kfileplacesitem.cpp:136
#10 0xb4d69293 in KFilePlacesModel::closestItem (this=0x9d8e3e0, url=...) at /home/hamelg/BUILD/ARCH/kdelibs/src/kdelibs-4.10.2/kfile/kfileplacesmodel.cpp:297
#11 0xb4d89330 in KDEPrivate::KUrlNavigatorPlacesSelector::updateSelection (this=this@entry=0xa363760, url=...) at /home/hamelg/BUILD/ARCH/kdelibs/src/kdelibs-4.10.2/kfile/kurlnavigatorplacesselector.cpp:118
Comment 39 Myriam Schweingruber 2013-04-20 10:27:44 UTC
*** Bug 318619 has been marked as a duplicate of this bug. ***
Comment 40 Christoph Feck 2013-04-27 12:16:30 UTC
The code for KFilePlacesItem hasn't been modified either, so I guess the regression is caused by changes in upstream components (udisk, udev, whatever).

Looking at the backtrace, KFilePlacesItem tries to detect Audio CDs as follows:

    Solid::Device d = device();
    if (d.isValid()) {
            if (m_access) {
                return QUrl(KUrl(m_access->filePath()));
            } else if (m_disc && (m_disc->availableContent() & Solid::OpticalDisc::Audio)!=0) {
                QString device = d.as<Solid::Block>()->device();
                return QUrl(QString("audiocd:/?device=%1").arg(device));
            }
    }

The crash happens, because d.as<Solid::Block> returns 0, in other words, Audio CDs are no longer treated as block devices.

Failure of said cast can be easily detected, but the question is rather, if it's not a Solid bug, how the code needs to be modified to correctly get the audiocd:/ URL for the block device.
Comment 41 Ian Monroe 2013-04-27 20:25:51 UTC
I'm using a pretty vanilla OpenSUSE 12.3 system at home.  When I click on file browser in Amarok, I get this related crash everytime:

Thread 1 (Thread 0x7fea2020e7c0 (LWP 18826)):
[KCrash Handler]
#5  0x00007fea1a1d7f34 in Solid::Block::device() const () from /usr/lib64/libsolid.so.4
#6  0x00007fea19d35836 in ?? () from /usr/lib64/libkfile.so.4
#7  0x00007fea19d3642e in ?? () from /usr/lib64/libkfile.so.4
#8  0x00007fea19d384e6 in KFilePlacesModel::closestItem(KUrl const&) const () from /usr/lib64/libkfile.so.4
#9  0x00007fea1f2e57cc in FileBrowser::setupAddItems (this=0x3a8e3d0) at /usr/src/debug/amarok-2.7.0/src/browsers/filebrowser/FileBrowser.cpp:414
#10 0x00007fea1ee2f0ea in BrowserCategoryList::setActiveCategory (this=this@entry=0x359dee0, category=category@entry=0x3a8e3d0) at /usr/src/debug/amarok-2.7.0/src/browsers/BrowserCategoryList.cpp:217
#11 0x00007fea1ee2f4bb in BrowserCategoryList::categoryActivated (this=0x359dee0, index=...) at /usr/src/debug/amarok-2.7.0/src/browsers/BrowserCategoryList.cpp:120
#12 0x00007fea1ee33ff9 in BrowserCategoryList::qt_static_metacall (_o=0x7fff4c1498c0, _c=QMetaObject::InvokeMetaMethod, _id=37386080, _a=0x0) at /usr/src/debug/amarok-2.7.0/build/src/BrowserCategoryList.moc:74
#13 0x00007fea1d4451af in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#14 0x00007fea1de74695 in QAbstractItemView::activated (this=this@entry=0x35a5c20, _t1=...) at .moc/release-shared/moc_qabstractitemview.cpp:362
#15 0x00007fea1de74b3c in QAbstractItemView::mouseReleaseEvent (this=0x35a5c20, event=0x7fff4c14ac50) at itemviews/qabstractitemview.cpp:1821
<snip: Qt event loop stuff>
Comment 42 Ian Monroe 2013-04-27 20:27:03 UTC
Well removing an audio CD fixed the issue. I guess that's not surprising.
Comment 43 Myriam Schweingruber 2013-05-02 23:27:26 UTC
*** Bug 319246 has been marked as a duplicate of this bug. ***
Comment 44 Myriam Schweingruber 2013-05-08 22:58:57 UTC
*** Bug 319549 has been marked as a duplicate of this bug. ***
Comment 45 Christoph Feck 2013-05-27 12:06:34 UTC
Can a solid developer please answer comment #40?
Comment 46 Myriam Schweingruber 2013-06-25 22:45:15 UTC
*** Bug 321612 has been marked as a duplicate of this bug. ***
Comment 47 Martin 2013-06-26 18:23:36 UTC
This is no preblem for me with kde 4.10.4 in kubuntu
Comment 48 Martin 2013-06-26 18:25:01 UTC
This is no preblem for me with kde 4.10.4 in kubuntu annymore.
Comment 49 Martin 2013-06-26 18:28:33 UTC
This is no preblem for me with kde 4.10.4 in kubuntu annymore.
Comment 50 Myriam Schweingruber 2013-06-27 00:28:42 UTC
(In reply to comment #49)
> This is no preblem for me with kde 4.10.4 in kubuntu annymore.

Thank you for the feedback. Can the other reporters confirm this is solve in KDE 4.10.4 or later?
Comment 51 Christoph Feck 2013-06-27 00:45:03 UTC
The code in kdelibs hasn't changed, so if it now works with an Audio CD inserted, upstream components have been changed. See comment #40.
Comment 52 Bernd Buschinski 2013-06-27 00:47:58 UTC
Sadly, I can not confirm, with kdelibs 4.10.4 and amarok 2.7.1

Thread 1 (Thread 0x7fcf483d27c0 (LWP 15585)):
[KCrash Handler]
#6  Solid::Block::device (this=0x0) at /var/tmp/portage/kde-base/kdelibs-4.10.4/work/kdelibs-4.10.4/solid/solid/block.cpp:52
#7  0x00007fcf41d52e16 in KFilePlacesItem::deviceData (this=0x611fd10, role=110940459) at /var/tmp/portage/kde-base/kdelibs-4.10.4/work/kdelibs-4.10.4/kfile/kfileplacesitem.cpp:188
#8  0x00007fcf41d53a3e in KFilePlacesItem::data (this=<optimized out>, role=role@entry=110940459) at /var/tmp/portage/kde-base/kdelibs-4.10.4/work/kdelibs-4.10.4/kfile/kfileplacesitem.cpp:136
#9  0x00007fcf41d55c04 in KFilePlacesModel::closestItem (this=0x45c11a0, url=...) at /var/tmp/portage/kde-base/kdelibs-4.10.4/work/kdelibs-4.10.4/kfile/kfileplacesmodel.cpp:297
#10 0x00007fcf4746f314 in FileBrowser::setupAddItems (this=0x4206de0) at /var/tmp/portage/media-sound/amarok-2.7.1/work/amarok-2.7.1/src/browsers/filebrowser/FileBrowser.cpp:414
#11 0x00007fcf46fb5769 in BrowserCategoryList::setActiveCategory (this=0x5dcc1c0, category=category@entry=0x4206de0) at /var/tmp/portage/media-sound/amarok-2.7.1/work/amarok-2.7.1/src/browsers/BrowserCategoryList.cpp:217
#12 0x00007fcf46fb4d97 in BrowserCategory::activate (this=0x4206de0) at /var/tmp/portage/media-sound/amarok-2.7.1/work/amarok-2.7.1/src/browsers/BrowserCategory.cpp:136
#13 0x00007fcf454cc0df in QMetaObject::activate (sender=sender@entry=0x7ff8960, m=m@entry=0x7fcf46a4a020 <QAction::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7fffc7b9dc30) at kernel/qobject.cpp:3539
#14 0x00007fcf45ee1bf2 in QAction::triggered (this=this@entry=0x7ff8960, _t1=false) at .moc/debug-shared/moc_qaction.cpp:277
#15 0x00007fcf45ee1db8 in QAction::activate (this=this@entry=0x7ff8960, event=event@entry=QAction::Trigger) at kernel/qaction.cpp:1257
#16 0x00007fcf46363e83 in QMenuPrivate::activateCausedStack (this=this@entry=0x3b0aa20, causedStack=..., action=action@entry=0x7ff8960, action_e=action_e@entry=QAction::Trigger, self=self@entry=true) at widgets/qmenu.cpp:1038
#17 0x00007fcf4636aba9 in QMenuPrivate::activateAction (this=0x3b0aa20, action=0x7ff8960, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1130
#18 0x00007fcf45f3e70f in QWidget::event (this=this@entry=0x4312930, event=event@entry=0x7fffc7b9e640) at kernel/qwidget.cpp:8375
#19 0x00007fcf4636bdb3 in QMenu::event (this=0x4312930, e=0x7fffc7b9e640) at widgets/qmenu.cpp:2481
#20 0x00007fcf45eebd51 in QApplicationPrivate::notify_helper (this=this@entry=0x27af1c0, receiver=receiver@entry=0x4312930, e=e@entry=0x7fffc7b9e640) at kernel/qapplication.cpp:4562
#21 0x00007fcf45eeed8e in QApplication::notify (this=this@entry=0x7fffc7ba2af0, receiver=receiver@entry=0x4312930, e=e@entry=0x7fffc7b9e640) at kernel/qapplication.cpp:4105
#22 0x00007fcf47df0b08 in KApplication::notify (this=0x7fffc7ba2af0, receiver=0x4312930, event=0x7fffc7b9e640) at /var/tmp/portage/kde-base/kdelibs-4.10.4/work/kdelibs-4.10.4/kdeui/kernel/kapplication.cpp:311
#23 0x00007fcf454b4bcd in QCoreApplication::notifyInternal (this=0x7fffc7ba2af0, receiver=receiver@entry=0x4312930, event=event@entry=0x7fffc7b9e640) at kernel/qcoreapplication.cpp:946
#24 0x00007fcf45eed182 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#25 QApplicationPrivate::sendMouseEvent (receiver=0x4312930, event=event@entry=0x7fffc7b9e640, alienWidget=0x0, nativeWidget=nativeWidget@entry=0x4312930, buttonDown=buttonDown@entry=0x7fcf46a85408 <qt_button_down>, lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at kernel/qapplication.cpp:3173
#26 0x00007fcf45f6f4e9 in QETWidget::translateMouseEvent (this=this@entry=0x4312930, event=event@entry=0x7fffc7b9ed90) at kernel/qapplication_x11.cpp:4450
#27 0x00007fcf45f6e3a1 in QApplication::x11ProcessEvent (this=0x7fffc7ba2af0, event=event@entry=0x7fffc7b9ed90) at kernel/qapplication_x11.cpp:3639
...
Comment 53 Myriam Schweingruber 2013-06-27 14:23:00 UTC
*** Bug 321676 has been marked as a duplicate of this bug. ***
Comment 54 tim 2013-07-15 00:35:04 UTC
the problem isn't solved in kde 4.10.5 and amarok 2.7.
Comment 55 kcpr.koniuszy 2013-07-20 14:39:07 UTC
Same for me:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f3625da9780 (LWP 6228))]

Thread 9 (Thread 0x7f3601430700 (LWP 6231)):
#0  0x00007f362265587d in poll () from /lib64/libc.so.6
#1  0x00007f361839b00f in ?? () from /usr/lib64/libpulse.so.0
#2  0x00007f361838c52c in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007f361838cb89 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f361838cc40 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f361839afbf in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f3610a71b03 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-3.0.so
#7  0x00007f36207c7e0f in start_thread () from /lib64/libpthread.so.0
#8  0x00007f362265e7dd in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f35f3768700 (LWP 6233)):
#0  0x00007f36207cbd11 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35f9da9f26 in my_service_thread_sleep () from /usr/lib64/libmysqld.so.18
#2  0x00007f35f9d8e097 in ma_checkpoint_background () from /usr/lib64/libmysqld.so.18
#3  0x00007f36207c7e0f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f362265e7dd in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f35f17ec700 (LWP 6234)):
#0  0x00007f362266b0ef in __libc_enable_asynccancel () from /lib64/libc.so.6
#1  0x00007f3622655872 in poll () from /lib64/libc.so.6
#2  0x00007f361b18aaa4 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f361b18abc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f3622fec2e6 in QEventDispatcherGlib::processEvents (this=0x7f35e00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f3622fbcadf in QEventLoop::processEvents (this=this@entry=0x7f35f17ebdd0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f3622fbcd68 in QEventLoop::exec (this=0x7f35f17ebdd0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f3622ebf0f0 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#8  0x00007f3622f9d29f in QInotifyFileSystemWatcherEngine::run (this=0x100bea0) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00007f3622ec20cc in QThreadPrivate::start (arg=0x100bea0) at thread/qthread_unix.cpp:338
#10 0x00007f36207c7e0f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f362265e7dd in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f35dfd9a700 (LWP 6235)):
#0  0x00007f36207cb964 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3622ec262b in wait (time=18446744073709551615, this=0x123ebd0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x123ed50, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f361fb15981 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x123ea80, th=0x123f130) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f361fb181cb in ThreadWeaver::WorkingHardState::applyForWork (this=0x123ede0, th=0x123f130) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f361fb1703f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f35dfd99e00, parent=0x123ea80, th=th@entry=0x123f130) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f361fb170cb in ThreadWeaver::Thread::run (this=0x123f130) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f3622ec20cc in QThreadPrivate::start (arg=0x123f130) at thread/qthread_unix.cpp:338
#8  0x00007f36207c7e0f in start_thread () from /lib64/libpthread.so.0
#9  0x00007f362265e7dd in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f35df38e700 (LWP 6236)):
#0  0x00007f36207cb964 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3622ec262b in wait (time=18446744073709551615, this=0x123ebd0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x123ed50, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f361fb15981 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x123ea80, th=0x14f87b0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f361fb181cb in ThreadWeaver::WorkingHardState::applyForWork (this=0x123ede0, th=0x14f87b0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f361fb181e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x123ede0, th=0x14f87b0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f361fb181e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x123ede0, th=0x14f87b0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f361fb1703f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f35df38de00, parent=0x123ea80, th=th@entry=0x14f87b0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:87
#8  0x00007f361fb170cb in ThreadWeaver::Thread::run (this=0x14f87b0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:142
#9  0x00007f3622ec20cc in QThreadPrivate::start (arg=0x14f87b0) at thread/qthread_unix.cpp:338
#10 0x00007f36207c7e0f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f362265e7dd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f35deb8d700 (LWP 6237)):
#0  0x00007f36207cb964 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3622ec262b in wait (time=18446744073709551615, this=0x123ebd0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x123ed50, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f361fb15981 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x123ea80, th=0x14f9fb0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f361fb181cb in ThreadWeaver::WorkingHardState::applyForWork (this=0x123ede0, th=0x14f9fb0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f361fb181e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x123ede0, th=0x14f9fb0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f361fb181e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x123ede0, th=0x14f9fb0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f361fb1703f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f35deb8ce00, parent=0x123ea80, th=th@entry=0x14f9fb0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:87
#8  0x00007f361fb170cb in ThreadWeaver::Thread::run (this=0x14f9fb0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:142
#9  0x00007f3622ec20cc in QThreadPrivate::start (arg=0x14f9fb0) at thread/qthread_unix.cpp:338
#10 0x00007f36207c7e0f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f362265e7dd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f35de38c700 (LWP 6238)):
#0  0x00007f36207cb964 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3622ec262b in wait (time=18446744073709551615, this=0x123ebd0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x123ed50, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f361fb15981 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x123ea80, th=0x14fad40) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f361fb181cb in ThreadWeaver::WorkingHardState::applyForWork (this=0x123ede0, th=0x14fad40) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f361fb181e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x123ede0, th=0x14fad40) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f361fb1703f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f35de38be00, parent=0x123ea80, th=th@entry=0x14fad40) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:87
#7  0x00007f361fb170cb in ThreadWeaver::Thread::run (this=0x14fad40) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:142
#8  0x00007f3622ec20cc in QThreadPrivate::start (arg=0x14fad40) at thread/qthread_unix.cpp:338
#9  0x00007f36207c7e0f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f362265e7dd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f35dcf65700 (LWP 6241)):
#0  0x00007f36207cb964 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f361eb6d307 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f361ee7a660 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f361eb6d339 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f36207c7e0f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f362265e7dd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f3625da9780 (LWP 6228)):
[KCrash Handler]
#6  Solid::Block::device (this=0x0) at /usr/src/debug/kdelibs-4.10.5/solid/solid/block.cpp:52
#7  0x00007f361f8c3a16 in KFilePlacesItem::deviceData (this=0x255e5a0, role=110940459) at /usr/src/debug/kdelibs-4.10.5/kfile/kfileplacesitem.cpp:188
#8  0x00007f361f8c460e in KFilePlacesItem::data (this=<optimized out>, role=<optimized out>) at /usr/src/debug/kdelibs-4.10.5/kfile/kfileplacesitem.cpp:136
#9  0x00007f361f8c66c6 in KFilePlacesModel::closestItem (this=0x954520, url=...) at /usr/src/debug/kdelibs-4.10.5/kfile/kfileplacesmodel.cpp:297
#10 0x00007f361f8e378d in KDEPrivate::KUrlNavigatorPlacesSelector::updateSelection (this=this@entry=0x2289270, url=...) at /usr/src/debug/kdelibs-4.10.5/kfile/kurlnavigatorplacesselector.cpp:118
#11 0x00007f361f8e3884 in KDEPrivate::KUrlNavigatorPlacesSelector::updateMenu (this=0x2289270) at /usr/src/debug/kdelibs-4.10.5/kfile/kurlnavigatorplacesselector.cpp:73
#12 0x00007f3622fd329f in QMetaObject::activate (sender=0x954520, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff5b516440) at kernel/qobject.cpp:3548
#13 0x00007f362301d974 in QAbstractItemModel::rowsInserted (this=<optimized out>, _t1=..., _t2=8, _t3=8) at .moc/release-shared/moc_qabstractitemmodel.cpp:197
#14 0x00007f3622fb869d in QAbstractItemModel::endInsertRows (this=0x954520) at kernel/qabstractitemmodel.cpp:2433
#15 0x00007f361f8c8105 in KFilePlacesModel::Private::_k_reloadBookmarks (this=this@entry=0x17de240) at /usr/src/debug/kdelibs-4.10.5/kfile/kfileplacesmodel.cpp:423
#16 0x00007f361f8c907f in KFilePlacesModel::Private::_k_initDeviceList (this=0x17de240) at /usr/src/debug/kdelibs-4.10.5/kfile/kfileplacesmodel.cpp:329
#17 0x00007f361f8c91d9 in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at /usr/src/debug/kdelibs-4.10.5/build/kfile/kfileplacesmodel.moc:68
#18 KFilePlacesModel::qt_static_metacall (_o=0x954520, _c=QMetaObject::InvokeMetaMethod, _id=579982960, _a=0x24cbb60) at /usr/src/debug/kdelibs-4.10.5/build/kfile/kfileplacesmodel.moc:60
#19 0x00007f3622fd277e in QObject::event (this=0x954520, e=<optimized out>) at kernel/qobject.cpp:1203
#20 0x00007f36234fb86c in QApplicationPrivate::notify_helper (this=this@entry=0x8819e0, receiver=receiver@entry=0x954520, e=e@entry=0xe993a0) at kernel/qapplication.cpp:4562
#21 0x00007f36234ffceb in QApplication::notify (this=0x7fff5b51b100, receiver=0x954520, e=0xe993a0) at kernel/qapplication.cpp:4423
#22 0x00007f36257c97f6 in KApplication::notify (this=0x7fff5b51b100, receiver=0x954520, event=0xe993a0) at /usr/src/debug/kdelibs-4.10.5/kdeui/kernel/kapplication.cpp:311
#23 0x00007f3622fbdd8e in QCoreApplication::notifyInternal (this=0x7fff5b51b100, receiver=receiver@entry=0x954520, event=event@entry=0xe993a0) at kernel/qcoreapplication.cpp:946
#24 0x00007f3622fc16f1 in sendEvent (event=0xe993a0, receiver=0x954520) at kernel/qcoreapplication.h:231
#25 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x6e51f0) at kernel/qcoreapplication.cpp:1570
#26 0x00007f3622fec133 in sendPostedEvents () at kernel/qcoreapplication.h:236
#27 postEventSourceDispatch (s=0x882090) at kernel/qeventdispatcher_glib.cpp:279
#28 0x00007f361b18a7d5 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#29 0x00007f361b18ab08 in ?? () from /usr/lib64/libglib-2.0.so.0
#30 0x00007f361b18abc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#31 0x00007f3622fec2c6 in QEventDispatcherGlib::processEvents (this=0x6eaa70, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#32 0x00007f362359bc1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#33 0x00007f3622fbcadf in QEventLoop::processEvents (this=this@entry=0x7fff5b516f60, flags=...) at kernel/qeventloop.cpp:149
#34 0x00007f3622fbcd68 in QEventLoop::exec (this=0x7fff5b516f60, flags=...) at kernel/qeventloop.cpp:204
#35 0x00007f36201874a6 in KIO::NetAccess::enter_loop (this=this@entry=0x7fff5b516fc0) at /usr/src/debug/kdelibs-4.10.5/kio/kio/netaccess.cpp:509
#36 0x00007f3620188f4c in KIO::NetAccess::synchronousRunInternal (this=this@entry=0x7fff5b516fc0, job=job@entry=0x246a780, window=window@entry=0x2288b40, data=data@entry=0x0, finalURL=finalURL@entry=0x0, metaData=metaData@entry=0x0) at /usr/src/debug/kdelibs-4.10.5/kio/kio/netaccess.cpp:494
#37 0x00007f3620188ff5 in KIO::NetAccess::synchronousRun (job=0x246a780, window=0x2288b40, data=0x0, finalURL=0x0, metaData=0x0) at /usr/src/debug/kdelibs-4.10.5/kio/kio/netaccess.cpp:284
#38 0x00007f361f8c0c9d in KFileWidget::KFileWidget (this=0x2288b40, _startDir=..., parent=<optimized out>) at /usr/src/debug/kdelibs-4.10.5/kfile/kfilewidget.cpp:611
#39 0x00007f35bec5cf44 in KFileModule::createFileWidget (this=<optimized out>, startDir=..., parent=0x7fff5b517480) at /usr/src/debug/kdelibs-4.10.5/kfile/kfilemodule.cpp:36
#40 0x00007f36201ee0cf in KFileDialog::KFileDialog (this=0x7fff5b517480, startDir=..., filter=..., parent=<optimized out>, customWidget=0x0) at /usr/src/debug/kdelibs-4.10.5/kio/kfile/kfiledialog.cpp:266
#41 0x00007f3624db4fff in MainWindow::slotAddLocation (this=0xe9adf0, directPlay=directPlay@entry=true) at /usr/src/debug/amarok-2.7.1/src/MainWindow.cpp:564
#42 0x00007f3624db545a in MainWindow::slotPlayMedia (this=<optimized out>) at /usr/src/debug/amarok-2.7.1/src/MainWindow.cpp:554
#43 0x00007f3624db56a5 in MainWindow::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/amarok-2.7.1/build/src/MainWindow.moc:130
#44 0x00007f3622fd329f in QMetaObject::activate (sender=0x12b9cd0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff5b517640) at kernel/qobject.cpp:3548
#45 0x00007f36234f5662 in QAction::triggered (this=this@entry=0x12b9cd0, _t1=false) at .moc/release-shared/moc_qaction.cpp:277
#46 0x00007f36234f5850 in QAction::activate (this=0x12b9cd0, event=<optimized out>) at kernel/qaction.cpp:1257
#47 0x00007f362392f6e3 in QMenuPrivate::activateCausedStack (this=this@entry=0x1432420, causedStack=..., action=action@entry=0x12b9cd0, action_e=action_e@entry=QAction::Trigger, self=self@entry=true) at widgets/qmenu.cpp:1038
#48 0x00007f3623935ac9 in QMenuPrivate::activateAction (this=0x1432420, action=0x12b9cd0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1130
#49 0x00007f3625882890 in KMenu::mouseReleaseEvent (this=0x15aa370, e=0x7fff5b5181e0) at /usr/src/debug/kdelibs-4.10.5/kdeui/widgets/kmenu.cpp:464
#50 0x00007f362354b149 in QWidget::event (this=0x15aa370, event=0x7fff5b5181e0) at kernel/qwidget.cpp:8375
#51 0x00007f3623936d7b in QMenu::event (this=0x15aa370, e=0x7fff5b5181e0) at widgets/qmenu.cpp:2481
#52 0x00007f36234fb86c in QApplicationPrivate::notify_helper (this=this@entry=0x8819e0, receiver=receiver@entry=0x15aa370, e=e@entry=0x7fff5b5181e0) at kernel/qapplication.cpp:4562
#53 0x00007f362350054b in QApplication::notify (this=<optimized out>, receiver=0x15aa370, e=0x7fff5b5181e0) at kernel/qapplication.cpp:4105
#54 0x00007f36257c97f6 in KApplication::notify (this=0x7fff5b51b100, receiver=0x15aa370, event=0x7fff5b5181e0) at /usr/src/debug/kdelibs-4.10.5/kdeui/kernel/kapplication.cpp:311
#55 0x00007f3622fbdd8e in QCoreApplication::notifyInternal (this=0x7fff5b51b100, receiver=0x15aa370, event=0x7fff5b5181e0) at kernel/qcoreapplication.cpp:946
#56 0x00007f36234fc6ab in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:231
#57 QApplicationPrivate::sendMouseEvent (receiver=0x15aa370, event=0x7fff5b5181e0, alienWidget=0x0, nativeWidget=0x15aa370, buttonDown=0x7f3623fd0268 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3173
#58 0x00007f3623576d5c in QETWidget::translateMouseEvent (this=this@entry=0x15aa370, event=event@entry=0x7fff5b518950) at kernel/qapplication_x11.cpp:4461
#59 0x00007f3623575c21 in QApplication::x11ProcessEvent (this=0x7fff5b51b100, event=0x7fff5b518950) at kernel/qapplication_x11.cpp:3650
#60 0x00007f362359bfa2 in x11EventSourceDispatch (s=0x885070, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#61 0x00007f361b18a7d5 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#62 0x00007f361b18ab08 in ?? () from /usr/lib64/libglib-2.0.so.0
#63 0x00007f361b18abc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#64 0x00007f3622fec2e6 in QEventDispatcherGlib::processEvents (this=0x6eaa70, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#65 0x00007f362359bc1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#66 0x00007f3622fbcadf in QEventLoop::processEvents (this=this@entry=0x7fff5b518d20, flags=...) at kernel/qeventloop.cpp:149
#67 0x00007f3622fbcd68 in QEventLoop::exec (this=0x7fff5b518d20, flags=...) at kernel/qeventloop.cpp:204
#68 0x00007f3622fc1a08 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#69 0x000000000040931a in main (argc=1, argv=0x7fff5b51b268) at /usr/src/debug/amarok-2.7.1/src/main.cpp:329
Comment 56 kcpr.koniuszy 2013-07-20 14:51:04 UTC
(In reply to comment #55)
Additional Information:
I'm on OpenSUSE 12.3 with KDE 4.10.5 and Amarok 2.7.1
Comment 57 Christoph Feck 2013-07-21 12:31:20 UTC
https://git.reviewboard.kde.org/r/111626/
Comment 58 Myriam Schweingruber 2013-07-21 13:52:17 UTC
*** Bug 322651 has been marked as a duplicate of this bug. ***
Comment 59 Myriam Schweingruber 2013-07-21 18:33:01 UTC
(In reply to comment #57)
> https://git.reviewboard.kde.org/r/111626/

Hopefully this gets backported to 4.10
Comment 60 Christoph Feck 2013-07-21 19:11:13 UTC
Does this mean you tested it successfully? As indicated in the review request, I am unable to test.

Btw, there will be no further 4.10 releases, so distributions would have to apply the patch locally, if they plan more updates.
Comment 61 Myriam Schweingruber 2013-07-21 21:26:50 UTC
(In reply to comment #60)
> Does this mean you tested it successfully? As indicated in the review
> request, I am unable to test.
> 
> Btw, there will be no further 4.10 releases, so distributions would have to
> apply the patch locally, if they plan more updates.

No, just a comment.
Comment 62 kcpr.koniuszy 2013-07-22 10:06:10 UTC
(In reply to comment #57)
> https://git.reviewboard.kde.org/r/111626/

Would try it, but i don't have the time to recompile kde
Comment 63 kcpr.koniuszy 2013-07-26 13:08:52 UTC
It seems that this bug is patched in the latest amarok in opensuse.
Now amarok doesn't crash when selecting play media, but it doesn't play CDs.
Comment 64 Myriam Schweingruber 2013-07-26 14:26:03 UTC
(In reply to comment #63)
> It seems that this bug is patched in the latest amarok in opensuse.
> Now amarok doesn't crash when selecting play media, but it doesn't play CDs.

Do you have a link to that patch? We for sure didn't release on for this issue, as it is not in Amarok, but in Solid.
Comment 65 kcpr.koniuszy 2013-07-26 14:45:33 UTC
(In reply to comment #64)
> (In reply to comment #63)
> > It seems that this bug is patched in the latest amarok in opensuse.
> > Now amarok doesn't crash when selecting play media, but it doesn't play CDs.
> 
> Do you have a link to that patch? We for sure didn't release on for this
> issue, as it is not in Amarok, but in Solid.

Nope.
I just updated my amarok using package manager and bug is gone, but CD's don't play.
Comment 66 kcpr.koniuszy 2013-07-26 14:47:23 UTC
(In reply to comment #65)
> (In reply to comment #64)
> > (In reply to comment #63)
> > > It seems that this bug is patched in the latest amarok in opensuse.
> > > Now amarok doesn't crash when selecting play media, but it doesn't play CDs.
> > 
> > Do you have a link to that patch? We for sure didn't release on for this
> > issue, as it is not in Amarok, but in Solid.
> 
> Nope.
> I just updated my amarok using package manager and bug is gone, but CD's
> don't play.

Additional info:
I think i also updated some kde packages.
Comment 67 Myriam Schweingruber 2013-07-27 10:08:57 UTC
*** Bug 322876 has been marked as a duplicate of this bug. ***
Comment 68 Matěj Laitl 2013-07-30 18:06:42 UTC
The cause of this bug is the same as bug 317485. Alex, you might want to close one of the 2 as a dupe of the other.

Meanwhile the crash above should have been worked-around in Amarok by:
> Git commit cfaa48278274f70fab3f6e1b610660edafbf7bbc by Matěj Laitl.
> Committed on 30/07/2013 at 17:51.
> Pushed by laitl into branch 'master'.
> 
> MediaDeviceCache: work-around Solid UDisks2 bug by not calling allDevices()
> 
> Kudos go to Alex Fiestas for extensive debugging and finding out the
> root of the problem.
> 
> BUGFIXES:
>  * Work-around Solid UDisks2 backend bug that caused USB Mass Storage
>    devices and iPods not being recognized when connected before Amarok
>    was started. Also fixes a bug where blank devices would appear in
>    Play Media dialog. (BR 322980)
> 
> We don't need to call Solid::Device::allDevices() at all because that
> was only needed for Apple iPhone support for the *old* iPod collection
> that was replaced in Amarok 2.6.
> Related: bug 322980
> FIXED-IN: 2.8
> 
> M  +3    -0    ChangeLog
> M  +0    -23   src/MediaDeviceCache.cpp
> 
> http://commits.kde.org/amarok/cfaa48278274f70fab3f6e1b610660edafbf7bbc
Comment 69 Alex Leach 2013-07-30 19:26:21 UTC
Beautiful patch. I couldn't wait for the next release (I look forward to whenever it will be, though), so I just applied it to 2.8 beta sources.

Great work guys! Kudos to Matěj and Alex Fiestas!
Comment 70 Alex Fiestas 2013-07-30 22:33:09 UTC
Will close it once it is fixed properly in libsolid https://git.reviewboard.kde.org/r/111802/
Comment 71 Alex Fiestas 2013-08-01 19:46:47 UTC
Git commit b92df2769477f48102ccc215f5d5eae5c4a6e5a5 by Àlex Fiestas.
Committed on 01/08/2013 at 19:24.
Pushed by afiestas into branch 'master'.

Do not clean the cache in UDisks2 backend

By deleting DeviceBackend we are invalidating all UDisks2::Devices that
are in libsolid frontend, since their m_backend will be 0
Related: bug 317485

REVIEW:111802

M  +0    -6    solid/solid/backends/udisks2/udisksmanager.cpp

http://commits.kde.org/kdelibs/b92df2769477f48102ccc215f5d5eae5c4a6e5a5
Comment 72 Alex Fiestas 2013-08-05 13:32:16 UTC
Git commit 9d7a02f3af96551eaed0bd97e9fb9ccd03d54650 by Àlex Fiestas.
Committed on 01/08/2013 at 19:24.
Pushed by afiestas into branch 'KDE/4.11'.

Do not clean the cache in UDisks2 backend

By deleting DeviceBackend we are invalidating all UDisks2::Devices that
are in libsolid frontend, since their m_backend will be 0
Related: bug 317485

REVIEW:111802
(cherry picked from commit b92df2769477f48102ccc215f5d5eae5c4a6e5a5)

M  +0    -6    solid/solid/backends/udisks2/udisksmanager.cpp

http://commits.kde.org/kdelibs/9d7a02f3af96551eaed0bd97e9fb9ccd03d54650
Comment 73 Christoph Feck 2013-08-16 12:34:46 UTC
Git commit 31fdb4ab1b72fa39290931f6a8934eda4eb4f636 by Christoph Feck.
Committed on 16/08/2013 at 12:31.
Pushed by cfeck into branch 'KDE/4.11'.

Fix crash when failing to get audio CD block device

For the udisks2 backend, this is already worked
around in Solid, but could fail for other reasons.
FIXED-IN: 4.11.1
REVIEW: 111626

M  +9    -2    kfile/kfileplacesitem.cpp

http://commits.kde.org/kdelibs/31fdb4ab1b72fa39290931f6a8934eda4eb4f636
Comment 74 Myriam Schweingruber 2013-08-18 00:24:08 UTC
*** Bug 323661 has been marked as a duplicate of this bug. ***
Comment 75 Christoph Feck 2013-08-20 10:21:20 UTC
Git commit ae81a8003e158d93da0c75f60366996e620e8f74 by Christoph Feck.
Committed on 20/08/2013 at 10:19.
Pushed by cfeck into branch 'KDE/4.11'.

Fix crash when failing to get audio CD block device
REVIEW: 112117

M  +7    -2    dolphin/src/panels/places/placesitem.cpp

http://commits.kde.org/kde-baseapps/ae81a8003e158d93da0c75f60366996e620e8f74
Comment 76 John Lambert 2013-11-05 19:23:28 UTC
Created attachment 83357 [details]
New crash information added by DrKonqi

amarok (2.7.1) on KDE Platform 4.10.4 using Qt 4.8.5

- What I was doing when the application crashed:

- Unusual behavior I noticed:

- Get message "The audio playback device HDA ATI SB (ALC889 Analog) does not work.
Falling back to default." prior to crash.

-- Backtrace (Reduced):
#6  Solid::Block::device (this=0x0) at /usr/src/debug/kdelibs-4.10.4/solid/solid/block.cpp:52
#7  0x0000003b29c60062 in KFilePlacesItem::deviceData (this=this@entry=0x14cc590, role=role@entry=110940459) at /usr/src/debug/kdelibs-4.10.4/kfile/kfileplacesitem.cpp:188
#8  0x0000003b29c60c31 in KFilePlacesItem::data (this=0x14cc590, role=role@entry=110940459) at /usr/src/debug/kdelibs-4.10.4/kfile/kfileplacesitem.cpp:136
#9  0x0000003b29c62f06 in KFilePlacesModel::closestItem (this=0x2866ea0, url=...) at /usr/src/debug/kdelibs-4.10.4/kfile/kfileplacesmodel.cpp:297
#10 0x0000003b29c7f3e2 in KDEPrivate::KUrlNavigatorPlacesSelector::updateSelection (this=this@entry=0x2d157f0, url=...) at /usr/src/debug/kdelibs-4.10.4/kfile/kurlnavigatorplacesselector.cpp:118
Comment 77 Myriam Schweingruber 2013-11-05 20:46:45 UTC
(In reply to comment #76)
> Created attachment 83357 [details]
> New crash information added by DrKonqi
> 
> amarok (2.7.1) on KDE Platform 4.10.4 using Qt 4.8.5

Please upgrade your system, as you can see from this report this is solved in KDE 4.11.1 already
Comment 78 Myriam Schweingruber 2013-11-17 18:21:57 UTC
*** Bug 327722 has been marked as a duplicate of this bug. ***
Comment 79 Myriam Schweingruber 2014-07-03 17:08:29 UTC
*** Bug 337013 has been marked as a duplicate of this bug. ***